# Package org.codehaus.plexus.util.cli

Interface Summary
Interface | Description
--- | ---
Arg |
StreamConsumer | Works in concert with the StreamPumper class to allow implementations to gain access to the lines being "Pumped".

Class Summary
Class | Description
--- | ---
Commandline | Commandline objects help handling command lines specifying processes to execute.
Commandline.Argument |
CommandLineUtils |
CommandLineUtils.StringStreamConsumer |
DefaultConsumer |
EnhancedStringTokenizer | The java.util.StringTokenizer is horribly broken.
StreamFeeder | Read from an InputStream and write the output to an OutputStream.
StreamPumper | Class to pump the error stream during Process's runtime.
WriterStreamConsumer |

Exception Summary
Exception | Description
--- | ---
CommandLineException |
CommandLineTimeOutException |